{
    "extends": ["../../.eslintrc.json"],
    "ignorePatterns": ["!**/*"],
    "overrides": [
        {
            "files": ["*.ts"],
            "rules": {
                "@angular-eslint/directive-selector": [
                    "error",
                    {
                        "type": "attribute",
                        "prefix": "ngx",
                        "style": "camelCase"
                    }
                ],
                "@angular-eslint/component-selector": [
                    "error",
                    {
                        "type": "element",
                        "prefix": "ngx",
                        "style": "kebab-case"
                    }
                ]
            },
            "extends": ["plugin:@nx/angular", "plugin:@angular-eslint/template/process-inline-templates"]
        },
        {
            "files": ["*.html"],
            "extends": ["plugin:@nx/angular-template"],
            "rules": {}
        }
    ]
}
